Name:           gorm
Version:        1.2.20
Release:        3%{?dist}
Summary:        The GNUstep graphical interface builder

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnustep.org
Source0:        ftp://ftp.gnustep.org/pub/gnustep/dev-apps/%{name}-%{version}.tar.gz
# svn+ssh://svn.gna.org/svn/gnustep/apps/gorm/trunk@34763 

BuildRequires:  gcc-objc texinfo-tex texinfo
BuildRequires:  gnustep-make >= 2.6.4-9
BuildRequires:  gnustep-base-devel gnustep-base gnustep-gui-devel
BuildRequires:  avahi-devel gmp-devel libffi-devel
BuildRequires:  gnutls-devel libgcrypt-devel libicu-devel
BuildRequires:  libxml2-devel libxslt-devel zlib-devel
BuildRequires:  texi2html

Requires:       gnustep-gui

%description
Gorm is an acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

%package devel
Summary:        Header and libraries for Gorm
Requires:       %{name} = %{version}-%{release}
Group:          Development/Tools

%description devel
Gorm is an acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

This package contains header files and development libraries for Gorm

%package doc
Summary:        Documentation for Gorm
Requires:       %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch:      noarch

%description doc
Gorm is an acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

This package contains the documentation for Gorm

%prep
%setup -q

%build
%gnustep_make

cd Documentation
%gnustep_make

%install
%gnustep_install

cd Documentation
%gnustep_install

cd $RPM_BUILD_ROOT/%{_datadir}/GNUstep/Documentation/
rm ANNOUNCE
rm INSTALL
rm NEWS
rm README

%post -p /sbin/ldconfig 

%post doc
/sbin/install-info %{_infodir}/Gorm.info.gz %{_infodir}/dir || :

%preun doc
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/Gorm.info.gz %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%doc ANNOUNCE COPYING NEWS NOTICE README TODO
%{_bindir}/Gorm
%{gnustep_appdir}/Gorm.app
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/Gorm*/
%{_includedir}/InterfaceBuilder/
%{_libdir}/lib*.so

%files doc
%{_datadir}/GNUstep/Documentation/Gorm*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct  7 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.20-1
- New upstream release

* Tue Oct  7 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.18-8
- Rebuilt to fix dependency issues
- Add missing BRs

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- Add gnustep-base as a BR

* Fri Apr  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.18-4
- Bump release number

* Thu Apr  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.18-3
- Rebuilt for new gnustep-make release

* Tue Apr  2 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.18-2
- Usage of gnustep rpm macros

* Sun Feb 24 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.18-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May  6 2012 Michel Salim <salimma@fedoraproject.org> - 1.2.16-1
- Update to 1.2.16

* Wed Jan  4 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.2.13-0.3.20110331%{?dist}
- Fix dependencies issues on rawhide (libobjc.so.3)

* Sun Oct 16 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.13-0.2.20110331%{?dist}
- Rebuilt to fix dependencies issues

* Sun Jun 19 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.13-0.1.20110331%{?dist}
- Rebuild to solve dependencies issues

* Thu Mar 31 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.13-0.20110331%{?dist}
- New nightly build

* Wed Mar  2 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.13-0.20110216%{?dist}
- Prerelease build based on the shapshot

* Sun Feb 13 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.2.12-4
- Rebuilt for gnustep snapshot

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  1 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.12-2
- Fix license tag
- untabify SPEC file
- Fix typo

* Wed Sep 22 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.12-1
- Initial RPM package for Fedora

